import { r as registerInstance, g as getElement } from './chunk-94ae52c3.js';
import { A as ApolloProviderConsumer } from './chunk-c295e769.js';

class ApolloMutationComponent {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return this.renderer(this.client);
    }
    get el() { return getElement(this); }
}
ApolloProviderConsumer.injectProps(ApolloMutationComponent, ['client']);

export { ApolloMutationComponent as apollo_consumer };
